"use strict";
var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.tsx
var src_exports = {};
__export(src_exports, {
  Callout: () => Callout,
  CalloutHeading: () => CalloutHeading,
  CalloutList: () => CalloutList,
  CalloutListItem: () => CalloutListItem,
  CalloutText: () => CalloutText
});
module.exports = __toCommonJS(src_exports);

// src/Callout.tsx
var React = __toESM(require("react"));
var import_prop_types = __toESM(require("prop-types"));
var import_box = require("@twilio-paste/box");
var import_ErrorIcon = require("@twilio-paste/icons/cjs/ErrorIcon");
var import_NeutralIcon = require("@twilio-paste/icons/cjs/NeutralIcon");
var import_NewIcon = require("@twilio-paste/icons/cjs/NewIcon");
var import_screen_reader_only = require("@twilio-paste/screen-reader-only");
var import_SuccessIcon = require("@twilio-paste/icons/cjs/SuccessIcon");
var import_WarningIcon = require("@twilio-paste/icons/cjs/WarningIcon");
var import_style_props = require("@twilio-paste/style-props");
var variantStyles = {
  success: {
    backgroundColor: "colorBackgroundSuccessWeakest",
    color: "colorTextSuccess",
    borderColor: "colorBorderSuccessWeaker"
  },
  error: {
    backgroundColor: "colorBackgroundErrorWeakest",
    color: "colorTextError",
    borderColor: "colorBorderErrorWeaker"
  },
  warning: {
    backgroundColor: "colorBackgroundWarningWeakest",
    color: "colorTextWarningStrong",
    borderColor: "colorBorderWarningWeaker"
  },
  new: {
    backgroundColor: "colorBackgroundNewWeakest",
    color: "colorTextNew",
    borderColor: "colorBorderNewWeaker"
  },
  neutral: {
    backgroundColor: "colorBackgroundNeutralWeakest",
    color: "colorTextNeutral",
    borderColor: "colorBorderNeutralWeaker"
  }
};
var variantIcons = {
  success: /* @__PURE__ */ React.createElement(import_SuccessIcon.SuccessIcon, { decorative: true, color: "colorTextIconSuccess" }),
  error: /* @__PURE__ */ React.createElement(import_ErrorIcon.ErrorIcon, { decorative: true, color: "colorTextIconError" }),
  warning: /* @__PURE__ */ React.createElement(import_WarningIcon.WarningIcon, { decorative: true, color: "colorTextIconWarning" }),
  new: /* @__PURE__ */ React.createElement(import_NewIcon.NewIcon, { decorative: true, color: "colorTextIconNew" }),
  neutral: /* @__PURE__ */ React.createElement(import_NeutralIcon.NeutralIcon, { decorative: true, color: "colorTextIconNeutral" })
};
var defaultIconLabels = {
  success: "(success)",
  error: "(error)",
  warning: "(warning)",
  new: "(new)",
  neutral: "(information)"
};
var Callout = React.forwardRef(
  ({ children, variant, element = "CALLOUT", i18nLabel, marginY, ...props }, ref) => {
    const IconComponent = variantIcons[variant];
    const iconLabel = i18nLabel ? i18nLabel : defaultIconLabels[variant];
    return /* @__PURE__ */ React.createElement(
      import_box.Box,
      {
        ...(0, import_box.safelySpreadBoxProps)(props),
        ref,
        element,
        display: "flex",
        marginY,
        padding: "space60",
        borderStyle: "solid",
        borderWidth: "borderWidth10",
        borderRadius: "borderRadius30",
        variant,
        ...variantStyles[variant]
      },
      /* @__PURE__ */ React.createElement(import_box.Box, { marginRight: "space60", paddingTop: "space10", element: `${element}_ICON` }, IconComponent, /* @__PURE__ */ React.createElement(import_screen_reader_only.ScreenReaderOnly, null, iconLabel)),
      /* @__PURE__ */ React.createElement(import_box.Box, { display: "flex", flexDirection: "column", rowGap: "space50", flex: "1" }, children)
    );
  }
);
Callout.displayName = "Callout";
Callout.propTypes = {
  children: import_prop_types.default.node,
  element: import_prop_types.default.string,
  variant: import_prop_types.default.oneOf(["neutral", "warning", "error", "success", "new", "default"]).isRequired,
  i18nLabel: import_prop_types.default.string,
  marginY: import_style_props.isMarginTokenProp
};

// src/CalloutHeading.tsx
var React2 = __toESM(require("react"));
var import_text = require("@twilio-paste/text");
var CalloutHeading = React2.forwardRef(
  ({ element = "CALLOUT_HEADING", children, as = "h3", ...props }, ref) => /* @__PURE__ */ React2.createElement(
    import_text.Text,
    {
      ...(0, import_text.safelySpreadTextProps)(props),
      as,
      ref,
      element,
      color: "currentColor",
      lineHeight: "lineHeight40",
      fontWeight: "fontWeightSemibold"
    },
    children
  )
);
CalloutHeading.displayName = "CalloutHeading";

// src/CalloutList.tsx
var React3 = __toESM(require("react"));
var import_prop_types2 = __toESM(require("prop-types"));
var import_box2 = require("@twilio-paste/box");
var import_text2 = require("@twilio-paste/text");
var CalloutList = React3.forwardRef(
  ({ element = "CALLOUT_LIST", children, as, ...props }, ref) => /* @__PURE__ */ React3.createElement(
    import_box2.Box,
    {
      ...(0, import_box2.safelySpreadBoxProps)(props),
      element,
      ref,
      as,
      margin: "space0",
      display: "flex",
      flexDirection: "column",
      rowGap: "space30",
      paddingLeft: "space60"
    },
    children
  )
);
CalloutList.displayName = "CalloutList";
CalloutList.propTypes = {
  children: import_prop_types2.default.node,
  element: import_prop_types2.default.string,
  as: import_prop_types2.default.oneOf(["ul", "ol"]).isRequired
};
var CalloutListItem = React3.forwardRef(
  ({ element = "CALLOUT_LIST_ITEM", children, ...props }, ref) => /* @__PURE__ */ React3.createElement(import_text2.Text, { ...(0, import_text2.safelySpreadTextProps)(props), element, ref, as: "li", color: "currentColor" }, children)
);
CalloutListItem.displayName = "CalloutListItem";
CalloutListItem.propTypes = {
  children: import_prop_types2.default.node,
  element: import_prop_types2.default.string
};

// src/CalloutText.tsx
var React4 = __toESM(require("react"));
var import_prop_types3 = __toESM(require("prop-types"));
var import_text3 = require("@twilio-paste/text");
var CalloutText = React4.forwardRef(
  ({ element = "CALLOUT_TEXT", children, ...props }, ref) => /* @__PURE__ */ React4.createElement(
    import_text3.Text,
    {
      ...(0, import_text3.safelySpreadTextProps)(props),
      as: "p",
      ref,
      element,
      color: "currentColor",
      lineHeight: "lineHeight40"
    },
    children
  )
);
CalloutText.displayName = "CalloutText";
CalloutText.propTypes = {
  children: import_prop_types3.default.node,
  element: import_prop_types3.default.string
};
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  Callout,
  CalloutHeading,
  CalloutList,
  CalloutListItem,
  CalloutText
});
